SWEP.base = "weapon_base"
SWEP.Category = "Other";
SWEP.Author = "~BeGaU s NoJoM~";
SWEP.Contact = "";
SWEP.Purpose = "";
SWEP.Instructions = "Left click to fire a regular box, right click to lauch a deathbox";
SWEP.PrintName = "CubeLauncher";
SWEP.Slot = 1;
SWEP.SlotPos = 0;
SWEP.DrawCrosshair = true;
SWEP.DrawAmmo = false;
SWEP.ViewModel = "models/weapons/v_pistol.mdl";
SWEP.WorldModel = "models/weapons/w_pistol.mdl";
SWEP.ViewModelFOV = 64;
SWEP.ReloadSound = "weapons/pistol/pistol_reload1.wav";
SWEP.HoldType = "pistol";
SWEP.Spawnable = true;
SWEP.AdminSpawnable = true;
SWEP.Weight = 3;
SWEP.AutoSwitchTo = false;
SWEP.AutoSwitchFrom = true;
SWEP.FiresUnderwater = true;

SWEP.Primary.ClipSize = 8;
SWEP.Primary.DefaultClip = 4;
SWEP.Secondary.Recoil = 0;
SWEP.Secondary.Spread = 0.1;
SWEP.Secondary.Delay = 0.8;
SWEP.Secondary.TakeAmmo = 1;
SWEP.Secondary.Message = "/n";
SWEP.Secondary.Sound = "weapons/stunstick/stunstick_swing1.wav";

SWEP.Primary.Recoil = 0;
SWEP.Primary.Spread = 0.1;
SWEP.Primary.Delay = 0.8;
SWEP.Primary.TakeAmmo = 1;
SWEP.Primary.Message = "/n";
SWEP.Primary.Sound = "weapons/stunstick/stunstick_swing1.wav";

function SWEP:throw_attack (model_file)
    local tr = self.Owner:GetEyeTrace();
    self.Weapon:EmitSound (self.Primary.Sound);
    self.BaseClass.ShootEffects (self);
    if (!SERVER) then return end;
    local ent = ents.Create ("prop_physics");
    ent:SetModel (model_file);
    ent:SetPos (self.Owner:EyePos() + (self.Owner:GetAimVector() * 16));
    ent:SetAngles (self.Owner:EyeAngles());
    ent:Spawn();
    local phys = ent:GetPhysicsObject();
    local shot_length = tr.HitPos:Length();
    phys:ApplyForceCenter (self.Owner:GetAimVector():GetNormalized() * math.pow (shot_length, 3));
    cleanup.Add (self.Owner, "props", ent);
    undo.Create ("Thrown model");
    undo.AddEntity (ent);
    undo.SetPlayer (self.Owner);
    undo.Finish();
end

function SWEP:Initialize()
    util.PrecacheSound(self.Primary.Sound)
     util.PrecacheSound(self.Secondary.Sound)
    if ( SERVER ) then
       self:SetWeaponHoldType( self.HoldType )
   end
end

function SWEP:PrimaryAttack()
   self:TakePrimaryAmmo(self.Primary.TakeAmmo)
   self:throw_attack ("models/portalbox.mdl");
   self:Msg( self.Primary.Message );
   self.Weapon:SetNextPrimaryFire( CurTime() + self.Primary.Delay )
   self.Weapon:SetNextSecondaryFire( CurTime() + self.Primary.Delay )
end

function SWEP:SecondaryAttack()
   self:TakePrimaryAmmo(self.Secondary.TakeAmmo)
   self:throw_attack ("models/death_box.mdl");
   self:Msg( self.Secondary.Message );
   self.Weapon:SetNextPrimaryFire( CurTime() + self.Secondary.Delay )
   self.Weapon:SetNextSecondaryFire( CurTime() + self.Secondary.Delay )
end

function SWEP:Think()
end

function SWEP:Reload()
   self.Weapon:DefaultReload(ACT_VM_RELOAD)
   return true
end

function SWEP:Deploy()
   self.Weapon:SendWeaponAnim(ACT_VM_DRAW);
   GAMEMODE:SetPlayerSpeed(self.Owner,190,350);
   return true
end

function SWEP:Holster()
   return true
end

function SWEP:OnRemove()
end

function SWEP:OnRestore()
end

function SWEP:Precache()
end

function SWEP:OwnerChanged()
end
